Package com.databricks.jdbc.telemetry

## Class DatabricksMetrics

- java.lang.Object
- - com.databricks.jdbc.telemetry.DatabricksMetrics

All Implemented Interfaces:
  `AutoCloseable`

    public class DatabricksMetrics
    extends Object
    implements AutoCloseable

### Constructor Summary

Constructors
`DatabricksMetrics​(IDatabricksConnectionContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `exportError​(String errorName, String sqlQueryId, int errorCode)`
`void` `exportUsageMetrics​(String jvmName, String jvmSpecVersion, String jvmImplVersion, String jvmVendor, String osName, String osVersion, String osArch, String localeName, String charsetEncoding)`
`void` `increment​(String name, double value)`
`void` `record​(String name, double value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DatabricksMetrics

    public DatabricksMetrics​(IDatabricksConnectionContext context)

### Method Detail

#### record

    public void record​(String name,
                       double value)

#### increment

    public void increment​(String name,
                          double value)

#### exportError

    public void exportError​(String errorName,
                            String sqlQueryId,
                            int errorCode)

#### exportUsageMetrics

    public void exportUsageMetrics​(String jvmName,
                                   String jvmSpecVersion,
                                   String jvmImplVersion,
                                   String jvmVendor,
                                   String osName,
                                   String osVersion,
                                   String osArch,
                                   String localeName,
                                   String charsetEncoding)

#### close

    public void close()

Specified by:
  `close` in interface `AutoCloseable`